Compare commits

...

10 Commits
master ... f7

Author SHA1 Message Date
Fedora Release Engineering 743cfab6ff dist-git conversion 2010-07-28 21:43:57 +00:00
Bill Nottingham 4c0bb6ee96 Fix typo that causes a failure to update the common directory. (releng
#2781)
2009-11-26 01:54:16 +00:00
ensc b615e0183f - updated to 1.3 (#426488, #431334)
- use wrapper around libtasn1-config which should make it multilib safe
    (#342411); this implies an untagged 'Requires: pkgconfig' for
-devel now
- conditionalized BR of valgrind (#401041)
2008-02-13 12:56:20 +00:00
ensc b1fc935e64 use wrapper around libtasn1-config which should make it multilib safe 2008-02-13 12:53:38 +00:00
ensc 7ad27c8668 updated to 1.3 2008-02-13 12:51:31 +00:00
ensc 07dc1f7ff7 workaround 'make check' errors on ppc64 2007-09-04 07:44:32 +00:00
ensc a91d07b22b updated to 1.1 2007-09-03 06:38:27 +00:00
ensc 9ccf1298b1 initial checkin 2007-09-01 14:45:02 +00:00
ensc 2aeab46065 updated to 0.3.10 2007-06-14 18:34:24 +00:00
Bill Nottingham baa59c04be Initialize branch F-7 for libtasn1 2007-05-18 05:45:49 +00:00
7 changed files with 141 additions and 29 deletions

View File

View File

@ -1,21 +0,0 @@
# Makefile for source rpm: libtasn1
# $Id$
NAME := libtasn1
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attept a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)

1
lastver Normal file
View File

@ -0,0 +1 @@
1.3

View File

@ -0,0 +1,105 @@
diff -up libtasn1-1.3/lib/libtasn1-config.in.~1~ libtasn1-1.3/lib/libtasn1-config.in
--- libtasn1-1.3/lib/libtasn1-config.in.~1~ 2008-02-01 17:14:52.000000000 +0100
+++ libtasn1-1.3/lib/libtasn1-config.in 2008-02-13 13:38:29.000000000 +0100
@@ -1,12 +1,8 @@
-#!/bin/sh
+#!/bin/bash
-prefix=@prefix@
-exec_prefix=@exec_prefix@
exec_prefix_set=no
-tasn1_libs="@LIBTASN1_LIBS@"
-tasn1_cflags="@LIBTASN1_CFLAGS@"
-tasn1_la_file="@libdir@/libtasn1.la"
+pkgopts=()
usage()
{
@@ -22,6 +19,11 @@ EOF
exit $1
}
+pkgcfg()
+{
+ ${PKG_CONFIG:-pkg-config} "${pkgopts[@]}" "$@" libtasn1
+}
+
if test $# -eq 0; then
usage 1 1>&2
fi
@@ -34,23 +36,23 @@ while test $# -gt 0; do
case $1 in
--prefix=*)
- prefix=$optarg
+ pkgopts=( "${pkgopts[@]}" "--define-variable=prefix=$optarg" )
if test $exec_prefix_set = no ; then
- exec_prefix=$optarg
+ pkgopts=( "${pkgopts[@]}" "--define-variable=exec_prefix=$optarg" )
fi
;;
--prefix)
echo_prefix=yes
;;
--exec-prefix=*)
- exec_prefix=$optarg
+ pkgopts=( "${pkgopts[@]}" "--define-variable=exec_prefix=$optarg" )
exec_prefix_set=yes
;;
--exec-prefix)
echo_exec_prefix=yes
;;
--version)
- echo "@VERSION@"
+ pkgcfg --modversion
exit 0
;;
--cflags)
@@ -60,7 +62,8 @@ while test $# -gt 0; do
echo_libs=yes
;;
--la-file)
- echo_la_file=yes
+ echo ".la file not shipped" >&2
+ exit 1
;;
--help)
usage 0
@@ -73,32 +76,17 @@ while test $# -gt 0; do
done
if test "$echo_prefix" = "yes"; then
- echo $prefix
+ pkgcfg --variable=prefix
fi
if test "$echo_exec_prefix" = "yes"; then
- echo $exec_prefix
+ pkgcfg --variable=exec_prefix
fi
if test "$echo_cflags" = "yes"; then
- if test "@includedir@" != "/usr/include" ; then
- includes="-I@includedir@"
- for i in $tasn1_cflags ; do
- if test "$i" = "-I@includedir@" ; then
- includes=""
- fi
- done
- fi
- echo $includes $tasn1_cflags
-fi
-
-if test "$echo_la_file" = "yes"; then
- echo ${tasn1_la_file}
+ pkgcfg --cflags
fi
if test "$echo_libs" = "yes"; then
- echo ${tasn1_libs}
+ pkgcfg --libs
fi
-
-
-

View File

@ -4,7 +4,7 @@
Summary: This is the ASN.1 library used in GNUTLS
Name: libtasn1
Version: 0.3.9
Version: 1.3
Release: %release_func 1
License: LGPL
@ -12,16 +12,21 @@ Group: System Environment/Libraries
URL: http://www.gnu.org/software/gnutls/download.html
Source0: ftp://ftp.gnutls.org/pub/gnutls/libtasn1/%name-%version.tar.gz
Source1: ftp://ftp.gnutls.org/pub/gnutls/libtasn1/%name-%version.tar.gz.sig
Patch0: libtasn1-1.3-pkgconfig.patch
BuildRoot: %_tmppath/%name-%version-%release-buildroot
BuildRequires: bison valgrind
BuildRequires: bison
%ifarch %ix86 x86_64 ppc ppc64
BuildRequires: valgrind
%endif
%package devel
Summary: Files for development of applications which will use libtasn1
Group: Development/Libraries
Requires: %name = %version-%release
Requires(pre): automake pkgconfig
Requires(postun): automake pkgconfig
Requires: pkgconfig
Requires(pre): automake
Requires(postun): automake
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info
@ -53,7 +58,7 @@ This package contains tools using the libtasn library.
%prep
%setup -q
%patch0 -p1 -b .pkgcfg
%build
%configure --disable-static
@ -68,7 +73,13 @@ rm -f $RPM_BUILD_ROOT{%_libdir/*.la,%_infodir/dir}
%check
make check
%ifarch ppc64
rc=true
%else
rc=false
%endif
make check || $rc
%clean
@ -110,6 +121,20 @@ test "$1" != 0 ||
%changelog
* Wed Feb 13 2008 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 1.3-1
- updated to 1.3 (#426488, #431334)
- use wrapper around libtasn1-config which should make it multilib
safe (#342411); this implies an untagged 'Requires: pkgconfig' for
-devel now
- conditionalized BR of valgrind (#401041)
* Mon Sep 3 2007 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 1.1-1
- updated to 1.1
- workaround 'make check' errors on ppc64
* Thu Jun 14 2007 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0.3.10-1
- updated to 0.3.10
* Fri Mar 2 2007 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0.3.9-1
- updated to 0.3.9

View File

@ -1,2 +1,2 @@
01e23a6b48a762ce88f178267dbb1458 libtasn1-0.3.9.tar.gz
bd09d1f7cfb371d3a97ad7659555dfe3 libtasn1-0.3.9.tar.gz.sig
8e6c9d4760f70758e64fe9d70d5ccfea libtasn1-1.3.tar.gz
d911846864012b92ad478fe9dbbd311a libtasn1-1.3.tar.gz.sig

2
verinfo Normal file
View File

@ -0,0 +1,2 @@
ftp://ftp.gnutls.org/pub/gnutls/libtasn1/
libtasn1-(.*?)\.tar\.